Get Template Library Info

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the resource information of the template library, such as capabilities and view preferences.

Endpoints

OAuth Scope

WorkDrive.libraries.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/libraries/{library_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

library_idstring(Required)

The template library ID of My Templates/Org Templates/Public Templates

Response Example

F000

200
200
500
Copied!
  {
    "data": {
      "id": "rabj041c9f3ac33cb4153aa46fd1f07743f0b",
      "type": "libraries",
      "attributes": {
        "capabilities": {
          "can_read": true,
          "can_favourite": true,
          "can_share": true,
          "can_remove_share": false,
          "can_delete": true,
          "can_edit": false,
          "can_manage": true,
          "can_read_fill": false,
          "can_create_files": true,
          "can_upload_files": true,
          "can_trash": true,
          "can_rename": false,
          "can_restore": false,
          "can_copy": false,
          "can_move": false,
          "can_zip": true,
          "can_download": true,
          "can_emailattach": true,
          "can_publish": false,
          "can_org_publish": false,
          "can_checkout": false,
          "can_cancel_checkout": false,
          "can_discard_checkout": false,
          "can_checkin": false,
          "can_read_comment": false,
          "can_create_comment": false,
          "can_delete_comment": false,
          "can_edit_comment": false,
          "can_replyto_comment": false,
          "can_trash_files": true,
          "can_share_files": true,
          "can_leave": false,
          "can_add_members": false,
          "can_join": false,
          "can_download_files": true,
          "is_admin": true
        },
        "view_pref": {
          "sort_by": "created_time",
          "sort_order": "asc",
          "filtered_by": "all",
          "layout": "list"
        },
        "parent_id": "oc85p35a40ed1efea46119d3f1c321f60e470",
        "library_type": 2,
        "library_name": "default_template_library"
      },
      "relationships": {
        "permissions": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/api/v1/libraries/rabj041c9f3ac33cb4153aa46fd1f07743f0b/relationships/permissions",
            "related": "https://www.zohoapis.com/workdrive/api/v1/libraries/rabj041c9f3ac33cb4153aa46fd1f07743f0b/permissions"
          }
        },
        "files": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/api/v1/libraries/rabj041c9f3ac33cb4153aa46fd1f07743f0b/relationships/files",
            "related": "https://www.zohoapis.com/workdrive/api/v1/libraries/rabj041c9f3ac33cb4153aa46fd1f07743f0b/files"
          }
        },
        "categories": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/api/v1/libraries/rabj041c9f3ac33cb4153aa46fd1f07743f0b/relationships/categories",
            "related": "https://www.zohoapis.com/workdrive/api/v1/libraries/rabj041c9f3ac33cb4153aa46fd1f07743f0b/categories"
          }
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/libraries/rabj041c9f3ac33cb4153aa46fd1f07743f0b"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "Generic server-side failure"
      }
    ]
  }
                
Show full